com.pixelmed.test

## Class TestPackBits_UnPack

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestPackBits_UnPack

-     public class TestPackBits_UnPack
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestPackBits_UnPack(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestPackBits_UnPack_AppleSample_IntoTooShortArray()`
    `void` | `TestPackBits_UnPack_AppleSample_IntoWholeArray()`
    `void` | `TestPackBits_UnPack_AppleSample_Parts()`
    `void` | `TestPackBits_UnPack_AppleSample_Size()`
    `void` | `TestPackBits_UnPack_AppleSample_Whole_Arrays()`
    `void` | `TestPackBits_UnPack_AppleSample_Whole_Streams()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestPackBits_UnPack

          public TestPackBits_UnPack(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestPackBits_UnPack_AppleSample_Whole_Arrays

          public void TestPackBits_UnPack_AppleSample_Whole_Arrays()
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestPackBits_UnPack_AppleSample_Whole_Streams

          public void TestPackBits_UnPack_AppleSample_Whole_Streams()
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestPackBits_UnPack_AppleSample_Size

          public void TestPackBits_UnPack_AppleSample_Size()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestPackBits_UnPack_AppleSample_Parts

          public void TestPackBits_UnPack_AppleSample_Parts()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestPackBits_UnPack_AppleSample_IntoWholeArray

          public void TestPackBits_UnPack_AppleSample_IntoWholeArray()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestPackBits_UnPack_AppleSample_IntoTooShortArray

          public void TestPackBits_UnPack_AppleSample_IntoTooShortArray()
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`